Exiv2::DataSet Struct Reference

Details of an IPTC dataset. More...

`#include <datasets.hpp>`

## Public Member Functions

| DataSet (uint16_t number, const char *name, const char *title, const char *desc, bool mandatory, bool repeatable, uint32_t minbytes, uint32_t maxbytes, TypeId type, uint16_t recordId, const char *photoshop)
| Constructor.

## Public Attributes

uint16_t | number_
| Dataset number.
const char * | name_
| Dataset name.
const char * | title_
| Dataset title or label.
const char * | desc_
| Dataset description.
bool | mandatory_
| True if dataset is mandatory.
bool | repeatable_
| True if dataset is repeatable.
uint32_t | minbytes_
| Minimum number of bytes.
uint32_t | maxbytes_
| Maximum number of bytes.
TypeId | type_
| Exiv2 default type.
uint16_t | recordId_
| Record id.
const char * | photoshop_
| Photoshop string.

## Detailed Description

Details of an IPTC dataset.

The documentation for this struct was generated from the following files:

- datasets.hpp
- datasets.cpp